# Deployment


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

Deployments are loaded model instances ready for inference.

[Read more](https://www.exoscale.com/ai-cloud-infrastructure/dedicated-inference/)

## <span data-label="POST" class="pill-POST"></span>scale-deployment

Scale Deployment

```
POST /ai/deployment/{id}/scale
```

Scale Deployment

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `replicas` | integer | **yes** | Number of replicas (>=0) |

<details>
<summary>Example</summary>

```json
{
  "replicas": 0
}
```
</details>


### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>

**`403`**: 403

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `code` | string | Machine-readable forbidden error code<br/><br/>Allowed values: `forbidden_operation`. |
| `error` | string | Forbidden error message |

<details>
<summary>Example output</summary>

```json
{
  "code": "forbidden_operation",
  "error": "string"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>

**`412`**: 412

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `scale-deployment`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ScaleDeployment) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.scale_deployment) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#scaleDeployment(java.util.UUID,com.exoscale.sdk.model.ScaleDeploymentRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api scale-deployment`

## <span data-label="POST" class="pill-POST"></span>create-deployment

Create Deployment

```
POST /ai/deployment
```

Deploy a model on an inference server

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `gpu-count` | integer | **yes** | Number of GPUs (1-8) |
| `gpu-type` | string | **yes** | GPU type family (e.g., gpua5000, gpu3080ti) |
| `model` | [Model Ref](/reference/api/_schemas/model-ref/) | **yes** |  |
| `name` | string | **yes** | Deployment name |
| `replicas` | integer | **yes** | Number of replicas (>=1) |
| `inference-engine-parameters` | array[string] | no | Optional extra inference engine server CLI args |
| `inference-engine-version` | string | no | Allowed values: `0.12.0`, `0.15.1`, `0.16.0`, `0.17.0`, `0.18.0`, `0.18.1`, `0.19.0`. |

<details>
<summary>Example</summary>

```json
{
  "gpu-count": 0,
  "gpu-type": "string",
  "inference-engine-parameters": [
    "string"
  ],
  "inference-engine-version": "0.12.0",
  "model": {
    "id": "string",
    "name": "string"
  },
  "name": "string",
  "replicas": 0
}
```
</details>


### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>

**`400`**: 400

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>

**`403`**: 403

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `code` | string | Machine-readable forbidden error code<br/><br/>Allowed values: `forbidden_operation`. |
| `error` | string | Forbidden error message |

<details>
<summary>Example output</summary>

```json
{
  "code": "forbidden_operation",
  "error": "string"
}
```
</details>

**`412`**: 412

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `create-deployment`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDeployment) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_deployment) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDeployment(com.exoscale.sdk.model.CreateDeploymentRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-deployment`

## <span data-label="GET" class="pill-GET"></span>get-deployment

Get Deployment

```
GET /ai/deployment/{id}
```

Get Deployment details

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `created-at` | string | Creation time |
| `deployment-url` | string | Deployment URL (nullable) |
| `gpu-count` | integer | Number of GPUs |
| `gpu-type` | string | GPU type family |
| `id` | string | Deployment ID |
| `inference-engine-parameters` | array[string] | Optional extra inference engine server CLI args |
| `inference-engine-version` | string | Allowed values: `0.12.0`, `0.15.1`, `0.16.0`, `0.17.0`, `0.18.0`, `0.18.1`, `0.19.0`. |
| `model` | [Model Ref](/reference/api/_schemas/model-ref/) |  |
| `name` | string | Deployment name |
| `replicas` | integer | Number of replicas (>=0) |
| `service-level` | string | Service level |
| `state` | string | Deployment state<br/><br/>Allowed values: `ready`, `creating`, `error`, `deploying`. |
| `state-details` | string | Deployment state details |
| `updated-at` | string | Update time |

<details>
<summary>Example output</summary>

```json
{
  "created-at": "2024-01-01T12:00:00Z",
  "deployment-url": "string",
  "gpu-count": 0,
  "gpu-type": "string",
  "id": "string",
  "inference-engine-parameters": [
    "string"
  ],
  "inference-engine-version": "0.12.0",
  "model": {
    "id": "string",
    "name": "string"
  },
  "name": "string",
  "replicas": 0,
  "service-level": "string",
  "state": "ready",
  "state-details": "string",
  "updated-at": "2024-01-01T12:00:00Z"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `get-deployment`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDeployment) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_deployment) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDeployment(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-deployment`

## <span data-label="PATCH" class="pill-PATCH"></span>update-deployment

```
PATCH /ai/deployment/{id}
```

Update AI deployment

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `inference-engine-parameters` | array[string] | no | Optional extra inference engine server CLI args |
| `inference-engine-version` | string | no | Allowed values: `0.12.0`, `0.15.1`, `0.16.0`, `0.17.0`, `0.18.0`, `0.18.1`, `0.19.0`. |
| `name` | string | no | Deployment name |

<details>
<summary>Example</summary>

```json
{
  "inference-engine-parameters": [
    "string"
  ],
  "inference-engine-version": "0.12.0",
  "name": "string"
}
```
</details>


### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>

**`400`**: 400

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>

**`403`**: 403

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `code` | string | Machine-readable forbidden error code<br/><br/>Allowed values: `forbidden_operation`. |
| `error` | string | Forbidden error message |

<details>
<summary>Example output</summary>

```json
{
  "code": "forbidden_operation",
  "error": "string"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `update-deployment`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDeployment) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_deployment) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDeployment(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-deployment`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-deployment

Delete Deployment

```
DELETE /ai/deployment/{id}
```

Delete Deployment

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>

**`403`**: 403

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `code` | string | Machine-readable forbidden error code<br/><br/>Allowed values: `forbidden_operation`. |
| `error` | string | Forbidden error message |

<details>
<summary>Example output</summary>

```json
{
  "code": "forbidden_operation",
  "error": "string"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `delete-deployment`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDeployment) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_deployment) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDeployment(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-deployment`


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>list-ai-instance-types

List Instance Types

```
GET /ai/instance-type
```

List available instance types with authorization status based on GPU availability

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `instance-types` | array of [Instance type with authorization status](/reference/api/_schemas/instance-type-entry/) |  |

<details>
<summary>Example output</summary>

```json
{
  "instance-types": [
    {
      "authorized": true,
      "family": "string"
    }
  ]
}
```
</details>


SDK reference for `list-ai-instance-types`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListAIInstanceTypes) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_ai_instance_types) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listAiInstanceTypes())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-ai-instance-types`

## <span data-label="GET" class="pill-GET"></span>reveal-deployment-api-key

Reveal Deployment API Key

```
GET /ai/deployment/{id}/api-key
```

Get Deployment API Key

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `api-key` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "api-key": "string"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `reveal-deployment-api-key`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.RevealDeploymentAPIKey) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.reveal_deployment_api_key) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#revealDeploymentApiKey(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api reveal-deployment-api-key`

## <span data-label="GET" class="pill-GET"></span>get-deployment-logs

Get Deployment Logs

```
GET /ai/deployment/{id}/logs
```

Return logs for the vLLM deployment (deploy/<release-name>--deployment-vllm). Optional ?stream=true to request streaming (may not be supported).

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` |  |

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `stream` | `query` | no |  |
| `tail` | `query` | no |  |

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `logs` | array of [A single log entry](/reference/api/_schemas/get-deployment-logs-entry/) | List of log entries |

<details>
<summary>Example output</summary>

```json
{
  "logs": [
    {
      "message": "string",
      "node": "string",
      "time": "string"
    }
  ]
}
```
</details>

**`400`**: 400

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>

**`404`**: 404

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>

**`500`**: 500

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `get-deployment-logs`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDeploymentLogs) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_deployment_logs) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDeploymentLogs(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-deployment-logs`

## <span data-label="GET" class="pill-GET"></span>list-deployments

List Deployments

```
GET /ai/deployment
```

List Deployments

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `visibility` | `query` | no |  |

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `deployments` | array of [AI deployment](/reference/api/_schemas/list-deployments-response-entry/) |  |

<details>
<summary>Example output</summary>

```json
{
  "deployments": [
    {
      "created-at": "2024-01-01T12:00:00Z",
      "deployment-url": "string",
      "gpu-count": 0,
      "gpu-type": "string",
      "id": "string",
      "model": {
        "id": "string",
        "name": "string"
      },
      "name": "string",
      "replicas": 0,
      "service-level": "string",
      "state": "ready",
      "updated-at": "2024-01-01T12:00:00Z"
    }
  ]
}
```
</details>

**`400`**: 400

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `errors` | array of [Errors](/reference/api/_schemas/error-response/#errors) |  |
| `instance` | string |  |
| `status` | integer |  |
| `title` | string |  |
| `type` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
```
</details>


SDK reference for `list-deployments`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListDeployments) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_deployments) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listDeployments(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-deployments`

## <span data-label="GET" class="pill-GET"></span>get-inference-engine-help

Get inference-engine Help

```
GET /ai/help/inference-engine-parameters
```

Get list of allowed inference engine parameters with their descriptions and allowed values

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `version` | `query` | no |  |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `parameters` | array of [inference-engine parameter definition](/reference/api/_schemas/inference-engine-parameter-entry/) |  |

<details>
<summary>Example output</summary>

```json
{
  "parameters": [
    {
      "allowed-values": [
        "string"
      ],
      "default": "string",
      "description": "string",
      "flags": [
        "string"
      ],
      "name": "string",
      "section": "string",
      "type": "string"
    }
  ]
}
```
</details>


SDK reference for `get-inference-engine-help`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetInferenceEngineHelp) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_inference_engine_help) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getInferenceEngineHelp(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-inference-engine-help`


